## nodau 0.2.2

=== Makefile ===
include Makefile.inc

all: $(TARGET)

$(TARGET): look_ahead
	cd $(SRC_DIR)/; make
	cd $(BUILD_DIR)/; make

clean: look_ahead
	cd $(SRC_DIR)/; make clean
	cd $(BUILD_DIR)/; make clean
	rm -f $(TARGET)

fresh: clean all

install:
	install $(TARGET) $(BIN_DIR)/$(TARGET)
	-install man/$(TARGET).1 $(MAN_DIR)/$(TARGET).1

uninstall:
	rm -f $(BIN_DIR)/$(TARGET)
	rm -f $(MAN_DIR)/$(TARGET).1

look_ahead:
	true

=== build/Makefile ===
include ../Makefile.inc

all:
	$(CC) -o ../$(TARGET) $(OBJS) $(CLIBS)

clean:
	rm -f *.o

=== src/Makefile ===
include ../Makefile.inc

all: $(OBJS)

clean:
	true

%.o: %.c
	$(CC) $(CFLAGS) -o ../$(BUILD_DIR)/$@ -c $<

=== debian/changelog ===
nodau (0.2.2-1) unstable; urgency=low

  * New upstream release 
  * Drop fix-ftbfs-with-binutils-gold.patch as it was applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 May 2011 10:00:29 +0200

nodau (0.2.1-2) unstable; urgency=low

  * Add fix-ftbfs-with-binutils-gold.patch to reorder LIBS in Makefile to fix
    FTBFS with binutils-gold (LP: #785135) (Closes: #627306).
  * debian/copyright: Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 May 2011 15:54:29 +0200

nodau (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Adjust PREFIX in override target for dh_auto_install.
  * Drop debian/nodau.1 manpage as manpage for nodau is now installed
    by upstream.
  * debian/nodau.dirs: Add usr/share/man/man1 to the directories to be
    created during build to be able to install the manpage there.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 08 Nov 2010 22:46:01 +0100

nodau (0.2-1) unstable; urgency=low

  * Initial release (Closes: #602802)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 08 Nov 2010 12:18:29 +0100

=== debian/control ===
Source: nodau
Section: utils
Priority: extra
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper (>= 8), libncurses5-dev, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://sandbox.ltmnet.com/nodau

Package: nodau
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple console based note taking program
 Nodau is a simple console based note taking program. It allows you to
 easily create, edit, and view notes, and search them by name or date.

=== debian/watch ===
version=3
http://sandbox.ltmnet.com/allfiles /files/downloads/all/nodau/nodau-(.*).tar.bz2

## nodau 0.3~rc6

=== Makefile ===
CC ?= gcc

PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man/man1

SRCDIR=src

TARGET=nodau
VERSION=0.3rc6

NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" $(CFLAGS)
NODAU_CLIBS ?= -lsqlite3 -lncurses -lcrypto $(CLIBS)
NODAU_LDFLAGS ?= $(LDFLAGS)

OBJS=$(SRCDIR)/nodau.o $(SRCDIR)/db.o $(SRCDIR)/lib.o $(SRCDIR)/edit.o $(SRCDIR)/crypto.o $(SRCDIR)/config.o
DISTFILES=man $(SRCDIR) Makefile* CHANGELOG LICENSE README

all: default

default: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(NODAU_LDFLAGS) -o $(TARGET) $(OBJS) $(NODAU_CLIBS)

dist-base:
	mkdir -p $(TARGET)-$(VERSION)
	cp -Rt $(TARGET)-$(VERSION) $(DISTFILES)

dist-gz: dist-base
	tar czf $(TARGET)-$(VERSION).tar.gz $(TARGET)-$(VERSION)
	rm -r $(TARGET)-$(VERSION)

dist-bz2: dist-base
	tar cjf $(TARGET)-$(VERSION).tar.bz2 $(TARGET)-$(VERSION)
	rm -r $(TARGET)-$(VERSION)

dist: dist-bz2

distclean:
	rm -f $(OBJS)

clean: distclean
	rm -f $(TARGET)*

install: $(TARGET)
	install $(TARGET) $(BINDIR)/$(TARGET)
	-install man/$(TARGET).1 $(MANDIR)/$(TARGET).1

uninstall:
	rm -f $(BINDIR)/$(TARGET)
	rm -f $(MANDIR)/$(TARGET).1

fresh: clean all

$(SRCDIR)/%.o: $(SRCDIR)/%.c
	$(CC) $(NODAU_CFLAGS) -o $@ -c $<

.PHONY: all default distclean dist dist-base dist-bz2 dist-gz clean fresh install uninstall

=== debian/changelog ===
nodau (0.3~rc6-1) unstable; urgency=low

  * Imported Upstream version 0.3~rc6
  * Upload to unstable
  * Remove patches applied upstream.
    Remove 0001-changes-to-database-handling-to-try-to-get-rid-of-a-.patch
    and 0002-another-tweak-in-hunting-segvs.patc patches which where
    cherry-picked from upstream git repository.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Jun 2012 14:01:04 +0200

nodau (0.3~rc5-1) experimental; urgency=low

  * Imported Upstream version 0.3~rc5
  * Add patches from upstream to prevent segfault on db creation.
    Add patches for upstream commits 7bcf6be and 678da52.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Jun 2012 11:26:22 +0200

nodau (0.3~rc4-1) experimental; urgency=low

  * Imported Upstream version 0.3~rc4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 29 May 2012 22:06:28 +0200

nodau (0.3~rc3-1) unstable; urgency=low

  * Imported Upstream version 0.3~rc3
  * Drop dir_create-with-safe-permissions.patch patch.
    Patch was applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 May 2012 14:56:46 +0200

nodau (0.3~rc2-3) unstable; urgency=low

  * Add dir_create-with-safe-permissions.patch.
    Don't create directories with read, write and execute permissions for
    user, group and others.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 May 2012 21:41:26 +0200

nodau (0.3~rc2-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 May 2012 21:20:32 +0200

nodau (0.3~rc2-1) experimental; urgency=low

  * Imported Upstream version 0.3~rc2
  * Drop add-support-for-CFLAGS-and-LDFLAGS.patch patch.
    Patch is included in 0.3rc2 upstream release.
  * Drop document-configuration-file.patch patch.
    Patch is included in 0.3rc2 release.
  * Add debian/NEWS introducing new configuration file

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 May 2012 09:40:25 +0200

nodau (0.3~rc1-2) experimental; urgency=low

  * Add add-support-for-CFLAGS-and-LDFLAGS.patch patch.
    Support setting of CFLAGS and LDFLAGS.
  * Bump Debhelper compat level to 9.
    Build with hardening flags passed via dpkg-buildflags.
    Adjust versioned Build-Depends on debhelper to (>= 9).
  * Add document-configuration-file.patch patch.
    Cherry-pick two commits from upstream, [f9a71ad] and [46f97c0] to
    document the configuration file for nodau.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 May 2012 10:15:25 +0200

nodau (0.3~rc1-1) experimental; urgency=low

  * Update debian/watch file.
    Update watch file to correctly handle upstream release candidate
    versions.
  * Imported Upstream version 0.3~rc1
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for upstream files.
    Update copyright years for debian/* packaging files.
    Add OpenSSL exception which was clarified upstream.
  * Add Build-Depends on libssl-dev
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 May 2012 20:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 8), libncurses5-dev, libsqlite3-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+ libncurses5-dev,
+ libsqlite3-dev,
+ libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://sandbox.ltmnet.com/nodau
 
 Package: nodau

=== debian/watch ===
version=3
opts=uversionmangle=s/rc/~rc/ \
http://sandbox.ltmnet.com/allfiles /files/downloads/all/nodau/nodau-(\d[\d\.a-z]+).tar.bz2

## nodau 0.3.1

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,10 @@
 SRCDIR=src
 
 TARGET=nodau
-VERSION=0.3rc6
+VERSION=0.3.1
 
 NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" $(CFLAGS)
+NODAU_CPPFLAGS ?= $(CPPFLAGS)
 NODAU_CLIBS ?= -lsqlite3 -lncurses -lcrypto $(CLIBS)
 NODAU_LDFLAGS ?= $(LDFLAGS)
 
@@ -54,6 +55,6 @@
 fresh: clean all
 
 $(SRCDIR)/%.o: $(SRCDIR)/%.c
-	$(CC) $(NODAU_CFLAGS) -o $@ -c $<
+	$(CC) $(NODAU_CPPFLAGS) $(NODAU_CFLAGS) -o $@ -c $<
 
 .PHONY: all default distclean dist dist-base dist-bz2 dist-gz clean fresh install uninstall

=== debian/changelog ===
nodau (0.3.1-1) unstable; urgency=low

  * Imported Upstream version 0.3.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 15 Oct 2012 19:15:15 +0200

nodau (0.3.0-1) unstable; urgency=low

  * Upload to unstable
  * Imported Upstream version 0.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 Aug 2012 06:52:50 +0200

nodau (0.3~rc7-1) experimental; urgency=low

  * Imported Upstream version 0.3~rc7

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Jul 2012 22:38:52 +0200

## nodau 0.3.7

=== Makefile ===
--- 
+++ 
@@ -5,17 +5,18 @@
 MANDIR ?= $(PREFIX)/share/man/man1
 
 SRCDIR=src
+INCDIR=inc
 
 TARGET=nodau
-VERSION=0.3.1
+VERSION=0.3.7
 
-NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" $(CFLAGS)
+NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" -Iinc/ -I. $(CFLAGS)
 NODAU_CPPFLAGS ?= $(CPPFLAGS)
 NODAU_CLIBS ?= -lsqlite3 -lncurses -lcrypto $(CLIBS)
 NODAU_LDFLAGS ?= $(LDFLAGS)
 
 OBJS=$(SRCDIR)/nodau.o $(SRCDIR)/db.o $(SRCDIR)/lib.o $(SRCDIR)/edit.o $(SRCDIR)/crypto.o $(SRCDIR)/config.o
-DISTFILES=man $(SRCDIR) Makefile* CHANGELOG LICENSE README
+DISTFILES=man $(SRCDIR) $(INCDIR) config.h Makefile* CHANGELOG LICENSE README
 
 all: default
 
@@ -54,7 +55,7 @@
 
 fresh: clean all
 
-$(SRCDIR)/%.o: $(SRCDIR)/%.c
+$(SRCDIR)/%.o: $(SRCDIR)/%.c inc/nodau.h config.h
 	$(CC) $(NODAU_CPPFLAGS) $(NODAU_CFLAGS) -o $@ -c $<
 
 .PHONY: all default distclean dist dist-base dist-bz2 dist-gz clean fresh install uninstall

=== debian/changelog ===
nodau (0.3.7-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:44:13 +0000

nodau (0.3.7-1) unstable; urgency=low

  * Imported Upstream version 0.3.7
    + prevent segfault when env is empty.
    + prevent segfault in config file creation.
    (Closes: #716624)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 15 Jul 2013 22:46:45 +0200

nodau (0.3.6-1) unstable; urgency=low

  * Imported Upstream version 0.3.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Jun 2013 08:48:01 +0200

nodau (0.3.5-1) unstable; urgency=low

  * Imported Upstream version 0.3.5
    + Fixes unsafe handling of temporary files when using a external editor
      (Closes: #708924).
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 10 Jun 2013 16:35:41 +0200

nodau (0.3.4-1) unstable; urgency=low

  * Imported Upstream version 0.3.3 and 0.3.4
  * Update debian/watch for alternative location of released tarballs
  * Update copyright years for debian/* packaging files
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 May 2013 11:11:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libncurses5-dev,
  libsqlite3-dev,
  libssl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://sandbox.ltmnet.com/nodau
 
 Package: nodau

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/nodau/usr

## nodau 0.3.8

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 INCDIR=inc
 
 TARGET=nodau
-VERSION=0.3.7
+VERSION=0.3.8
 
 NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" -Iinc/ -I. $(CFLAGS)
 NODAU_CPPFLAGS ?= $(CPPFLAGS)

=== debian/changelog ===
nodau (0.3.8-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 11 Dec 2022 22:30:53 +0100

nodau (0.3.8-5) unstable; urgency=medium

  * debian/watch: Use new upstream base URL after user rename
  * debian/control: Homepage: Use new upstream base URL after user rename
  * debian/copyright: Use new upstream base URL after user rename
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Declare compliance with Debian policy 4.6.1
  * Update copyright years for debian/* packaging files
  * Add two post 0.3.8 upstream changes
    - fix segfault when running 'nodau list' with search keyword, and there
      are no matches
    - remove variable definitions in header file that caused issues with gcc
      10 (replacing previous patch)
  * Use parametetrized SQL statement (CVE-2022-4399)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 11 Dec 2022 22:21:35 +0100

nodau (0.3.8-4) unstable; urgency=medium

  * Fix several "multiple definition of" instances uncovered by build with
    gcc-10 (Closes: #957612)
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * Bump Debhelper compat level to 13
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Jul 2020 10:18:51 +0200

nodau (0.3.8-3) unstable; urgency=medium

  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 22:02:36 +0100

nodau (0.3.8-2) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Set Rules-Requires-Root to no
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 11
  * Change package priority to optional
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 05 Apr 2018 17:23:01 +0200

nodau (0.3.8-1) unstable; urgency=medium

  * Update debian/watch file for monitoring releases on github
  * debian/control: Update Homepage URL to th github project page
  * New upstream version 0.3.8
  * Drop openssl-1.1-support.patch patch
  * Drop fix-spelling-error-in-errormessage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Nov 2016 14:34:55 +0100

nodau (0.3.7-3) unstable; urgency=medium

  * debian/control: Add Vcs-Browser and Vcs-Git URIs

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Nov 2016 15:50:20 +0100

nodau (0.3.7-2) unstable; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 10
  * debian/rules: Build enabling all hardening flags
  * Add support for OpenSSL 1.1.
    Fixes "FTBFS with openssl 1.1.0". (Closes: #828456)
  * Add patch to fix a spelling error in an displayed error message
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Nov 2016 15:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: nodau
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  libncurses5-dev,
  libsqlite3-dev,
  libssl-dev
-Standards-Version: 3.9.4
-Homepage: http://sandbox.ltmnet.com/nodau
+Standards-Version: 4.6.1
+Homepage: https://github.com/TicklishHoneyBee/nodau
+Vcs-Browser: https://salsa.debian.org/carnil/nodau
+Vcs-Git: https://salsa.debian.org/carnil/nodau.git
+Rules-Requires-Root: no
 
 Package: nodau
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nodau-$1.tar.gz%" \
https://github.com/TicklishHoneyBee/nodau/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## nodau 0.3.14

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man/man1
+BASH_COMPLETIONDIR ?= /etc/bash_completion.d
 
 SRCDIR=src
 INCDIR=inc
 
 TARGET=nodau
-VERSION=0.3.8
+VERSION=0.3.14
 
 NODAU_CFLAGS ?= -Wall -g -pedantic -DTARGET=\"$(TARGET)\" -DVERSION=\"$(VERSION)\" -Iinc/ -I. $(CFLAGS)
 NODAU_CPPFLAGS ?= $(CPPFLAGS)
@@ -48,6 +49,7 @@
 install: $(TARGET)
 	install $(TARGET) $(BINDIR)/$(TARGET)
 	-install man/$(TARGET).1 $(MANDIR)/$(TARGET).1
+	-install bash_completion.d/$(TARGET) $(BASH_COMPLETIONDIR)/$(TARGET)
 
 uninstall:
 	rm -f $(BINDIR)/$(TARGET)

=== debian/changelog ===
nodau (0.3.14-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:12 +1100

nodau (0.3.14-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:10:49 +0000

nodau (0.3.14-1) unstable; urgency=medium

  * Imported Upstream version 0.3.14
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.6.2
  * Install bash completions for nodau
    - Add Build-Depends on bash-completion
    - Pass bash-completion to the dh invocation to add the bash_completion
      sequence to Debhelper
    - Install upstream's nodau bash-completions
  * debian/control: Replace Build-Depends on libncurses5-dev with
    libncurses-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Sep 2023 15:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: nodau
 Section: utils
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 13),
- libncurses5-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Build-Depends: bash-completion,
+ debhelper-compat (= 13),
+ libncurses-dev,
  libsqlite3-dev,
  libssl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/TicklishHoneyBee/nodau
 Vcs-Browser: https://salsa.debian.org/carnil/nodau
 Vcs-Git: https://salsa.debian.org/carnil/nodau.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/nodau/usr
